%global forgeurl        https://github.com/dreamworksanimation
%global cmodver         1.0.0.5
%global gitcommit       119ffaf8b94e69ee09091dab080a27d184cade97
%global gitshort        %(c=%{gitcommit}; echo ${c:0:7})

%bcond tests    1

Name:           arras4_node
Version:        4.7.1.3%{?gitcommit:^git%{gitshort}}
Release:        %autorelease
Summary:        Arras service for distributed rendering

License:        Apache-2.0
URL:            https://openmoonray.org/
Source0:        %{forgeurl}/%{name}//archive/refs/heads/cmake_linux.tar.gz
Source1:        %{forgeurl}/cmake_modules/archive/refs/tags/cmake_modules-%{cmodver}.tar.gz

BuildRequires:  cmake >= 3.23.1
BuildRequires:  gcc-c++
BuildRequires:  boost-devel

Requires:       ArrasCore = 4.10.3.10
Provides:       ArrasNode = %{version}

%description
Arras service for distributed rendering


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

BuildRequires:  cmake(ArrasCore) = 4.10.3.10

%description    devel
The %{name}-devel package contains libraries and header files of %{name}, required to build other parts of OpenMoonRay.


%prep
%autosetup -p1 -n %{name}-cmake_linux
mkdir -p cmake_modules
tar -xzf %{SOURCE1} --strip-components=1 -C $_


%build
ARRAS_SESSION_PATH=%{_libdir}/openmoonray/sessions \
%cmake \
    -DCMAKE_MODULE_PATH=cmake_modules/cmake \
    -DBUILD_TESTING=%{expr:%{with tests}?"ON":"OFF"}
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%{_bindir}/arras4_{node,router}
%{_prefix}/lib/libnode_{messages,router,session}.so

%files devel
%{_includedir}/{node,session}
%{_libdir}/cmake/ArrasNode-%(echo %{version} | sed 's/\(\([0-9]\+\.\)\{2\}[0-9]\+\)\..*/\1/').0

%changelog
%autochangelog
